# Gems used within the project
require "faraday"
require "faraday-cookie_jar"
require "nokogiri"
require "yaml"

require "dofus/api/version"
# Connections used to fire request on the dofus website.
require "dofus/connections/standard_connection"
require "dofus/connections/login_connection"
require "dofus/connections/main_connection"
# Services are used to provide automated tasks as logging in
require "dofus/services/login_service"
require "dofus/services/servers_service"
require "dofus/services/formatter_service"
# Formatters arre used to format a particular data.
require "dofus/formatters/formatter"
require "dofus/formatters/jobs_formatter"
require "dofus/formatters/level_formatter"
require "dofus/formatters/avatar_formatter"
require "dofus/formatters/ornament_formatter"
require "dofus/formatters/experience_formatter"

puts Dir["dofus/formatters/*.rb"]
# Grabbers used to extract datas from the dofus website.
require "dofus/grabbers/character_grabber"

module Dofus
  module Api

    # Gets a character given its name and server.
    # This method uses the fact that aa character name is unique for a given server.
    # @param [String] name the name of the character to look for.
    # @param [String] server the server on which the character has been created.
    # @return [Hash] a hash containing all the informations about the character, or an empty hash if the character doesn't exist.
    def self.get_character(name, server)
      CharacterGrabber.instance.grab(name, server)
    end
  end
end
